Get production task type time spents

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/projects/{project_id}/task-types/{task_type_id}/time-spents

Retrieve time spents for a task type in the production.

Path parameters

  • project_id string(uuid) Required

    Project unique identifier

  • task_type_id string(uuid) Required

    Task type unique identifier

Query parameters

  • start_date string(date)

    Start date for filtering time spents

  • end_date string(date)

    End date for filtering time spents

Responses

  • 200 application/json

    All time spents for given task type and project

  • 400

    Invalid date range parameters

GET /data/projects/{project_id}/task-types/{task_type_id}/time-spents
curl -X GET "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b35b7fb5-df86-5776-b181-68564193d36/time-spents?start_date=2022-07-01&end_date=2022-07-31" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b35b7fb5-df86-5776-b181-68564193d36/time-spents"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "start_date": "2022-07-01",
    "end_date": "2022-07-31"
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/task-types/b35b7fb5-df86-5776-b181-68564193d36/time-spents' \
 --header "Authorization: $API_KEY"
Response examples (200)
string